Bug 882699 - ValueError: name already in use
Summary: ValueError: name already in use
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 18
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:349f8ba41b1be9898eff14db3de...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-12-02 18:19 UTC by arithmos
Modified: 2013-08-20 18:24 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-08-09 19:08:57 UTC
Type: ---


Attachments (Terms of Use)
File: anaconda-tb (598.81 KB, text/plain)
2012-12-02 18:19 UTC, arithmos
no flags Details
File: product (6 bytes, text/plain)
2012-12-02 18:19 UTC, arithmos
no flags Details
File: type (9 bytes, text/plain)
2012-12-02 18:19 UTC, arithmos
no flags Details
File: ifcfg.log (641 bytes, text/plain)
2012-12-02 18:20 UTC, arithmos
no flags Details
File: storage.log (364.10 KB, text/plain)
2012-12-02 18:20 UTC, arithmos
no flags Details
File: version (7 bytes, text/plain)
2012-12-02 18:20 UTC, arithmos
no flags Details
File: environ (777 bytes, text/plain)
2012-12-02 18:20 UTC, arithmos
no flags Details
File: executable (14 bytes, text/plain)
2012-12-02 18:20 UTC, arithmos
no flags Details
File: anaconda.log (76.27 KB, text/plain)
2012-12-02 18:20 UTC, arithmos
no flags Details
File: syslog (98.27 KB, text/plain)
2012-12-02 18:20 UTC, arithmos
no flags Details
File: hashmarkername (8 bytes, text/plain)
2012-12-02 18:20 UTC, arithmos
no flags Details
File: packaging.log (2.96 KB, text/plain)
2012-12-02 18:20 UTC, arithmos
no flags Details
File: cmdline_file (106 bytes, text/plain)
2012-12-02 18:20 UTC, arithmos
no flags Details
File: release (24 bytes, text/plain)
2012-12-02 18:20 UTC, arithmos
no flags Details
File: program.log (26.90 KB, text/plain)
2012-12-02 18:20 UTC, arithmos
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 998741 0 unspecified CLOSED ValueError: name already in use 2021-02-22 00:41:40 UTC

Internal Links: 998741

Description arithmos 2012-12-02 18:19:44 UTC
Description of problem:
-How did this problem happen ?

During validation of a third data partition 


Version-Release number of selected component:
anaconda-18.29.2

Additional info:
libreport version: 2.0.17
cmdline:        /usr/bin/python  /sbin/anaconda
kernel:         3.6.6-3.fc18.x86_64

description:
:The following was filed automatically by anaconda:
:anaconda 18.29.2 exception report
:Traceback (most recent call first):
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/__init__.py", line 1134, in newLV
:    raise ValueError("name already in use")
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/__init__.py", line 3262, in new_device
:    return getattr(self.storage, self.new_device_attr)(*args, **kwargs)
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/__init__.py", line 2221, in newDevice
:    fmt_args=fmt_args)
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/custom.py", line 1609, in on_add_clicked
:    disks=disks)
:ValueError: name already in use

Comment 1 arithmos 2012-12-02 18:19:55 UTC
Created attachment 656173 [details]
File: anaconda-tb

Comment 2 arithmos 2012-12-02 18:19:57 UTC
Created attachment 656174 [details]
File: product

Comment 3 arithmos 2012-12-02 18:19:59 UTC
Created attachment 656175 [details]
File: type

Comment 4 arithmos 2012-12-02 18:20:01 UTC
Created attachment 656176 [details]
File: ifcfg.log

Comment 5 arithmos 2012-12-02 18:20:06 UTC
Created attachment 656177 [details]
File: storage.log

Comment 6 arithmos 2012-12-02 18:20:09 UTC
Created attachment 656178 [details]
File: version

Comment 7 arithmos 2012-12-02 18:20:11 UTC
Created attachment 656179 [details]
File: environ

Comment 8 arithmos 2012-12-02 18:20:14 UTC
Created attachment 656180 [details]
File: executable

Comment 9 arithmos 2012-12-02 18:20:16 UTC
Created attachment 656181 [details]
File: anaconda.log

Comment 10 arithmos 2012-12-02 18:20:19 UTC
Created attachment 656182 [details]
File: syslog

Comment 11 arithmos 2012-12-02 18:20:21 UTC
Created attachment 656183 [details]
File: hashmarkername

Comment 12 arithmos 2012-12-02 18:20:24 UTC
Created attachment 656184 [details]
File: packaging.log

Comment 13 arithmos 2012-12-02 18:20:26 UTC
Created attachment 656185 [details]
File: cmdline_file

Comment 14 arithmos 2012-12-02 18:20:28 UTC
Created attachment 656186 [details]
File: release

Comment 15 arithmos 2012-12-02 18:20:31 UTC
Created attachment 656187 [details]
File: program.log

Comment 16 arithmos 2012-12-02 18:27:47 UTC
-Additional info

Name of partition was /fedora

Comment 17 Steve Tyler 2012-12-03 06:35:24 UTC
Attempting to reproduce Bug 882699.

Package: anaconda-18.29.2
OS Release: Fedora release 18-Beta

Comment 18 Steve Tyler 2012-12-03 06:46:47 UTC
(In reply to comment #17)
> Attempting to reproduce Bug 882699.
> 
> Package: anaconda-18.29.2
> OS Release: Fedora release 18-Beta

Create an empty 12G disk image.
Proceed to Manual Partitioning.
Click "+" to add a new mount point:
    Mount Point: "/fedora".
    Desired Capacity: 1000.
Click Add mount point
Exception occurs: ValueError: name already in use

Tested with:
$ qemu-img create f18-test-2.img 12G
$ qemu-kvm -m 2048 -hda f18-test-2.img -cdrom ~/xfr/fedora/F18/F18-Beta/Final/Fedora-18-Beta-x86_64-DVD.iso -usb -vga qxl -boot menu=on -usbdevice mouse

Comment 19 Chris Lumens 2013-01-08 21:17:08 UTC
I cannot reproduce this following comment 18.  Please test again with one of the RC trees for F18 final and if you are able to reproduce, let us know.  Thanks.


Note You need to log in before you can comment on or make changes to this bug.